Subject: [PATCH] ARM: tegra: fix naming in GPIO DT binding header

From: [email-masked] (Thierry Reding)
Date: Fri, 22 Apr 2016 13:24:06 +0200

On Mon, Apr 11, 2016 at 09:04:09AM +0200, Linus Walleij wrote:
> On Wed, Apr 6, 2016 at 7:32 PM, Stephen Warren <[email-masked]> wrote:
> > On 04/06/2016 11:28 AM, Thierry Reding wrote:
> >>
> >> On Tue, Apr 05, 2016 at 01:25:07PM -0600, Stephen Warren wrote:
> >>>
> >>> From: Stephen Warren <[email-masked]>
> >>>
> >>> According to the Tegra TRM, GPIOs are aggregated into /ports/ of 8 GPIOs,
> >>> not into /banks/. Fix <dt-bindings/gpio/tegra-gpio.h> to correctly
> >>> reflect
> >>> this naming convention. While this seems like silly churn, it will become
> >>> slightly more important once we introduce the GPIO binding for upcoming
> >>> Tegra chips.
> >>>
> >>> Signed-off-by: Stephen Warren <[email-masked]>
> >>> ---
> >>>   include/dt-bindings/gpio/tegra-gpio.h | 68
> >>> +++++++++++++++++------------------
> >>>   1 file changed, 34 insertions(+), 34 deletions(-)
> >>
> >>
> >> It's not clear to me where this should be applied. This is technically
> >> part of the GPIO controller bindings, in which case it'd need to go via
> >> the GPIO tree. I'm fine with taking it through the Tegra tree, too, but
> >> in case you agree that it should go through the GPIO tree:
> >>
> >> Acked-by: Thierry Reding <[email-masked]>
> >
> > I typically consider bindings part of the SoC code-base they related to, so
> > I'd imagine this going through the Tegra tree. I didn't Cc LinusW on the
> > patch because of that thinking and oversight, but have done so now just in
> > case he feels strongly.
> 
> No strong opinion, only time I care is when we merge a new driver
> and it #includes <dt-bindings/...>.
> 
> Take it through the tegra tree.
> Acked-by: Linus Walleij <[email-masked]>

Applied, thanks.

Thierry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20160422/0f5b4c7d/attachment.sig>